Package com.enonic.xp.portal.idprovider

## Class IdProviderControllerExecutionParams.Builder

- java.lang.Object
- - com.enonic.xp.portal.idprovider.IdProviderControllerExecutionParams.Builder

- Enclosing class:
    IdProviderControllerExecutionParams

      public static final class IdProviderControllerExecutionParams.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IdProviderControllerExecutionParams` | `build()` |
    `IdProviderControllerExecutionParams.Builder` | `functionName​(String functionName)` |
    `IdProviderControllerExecutionParams.Builder` | `idProviderKey​(IdProviderKey idProviderKey)` |
    `IdProviderControllerExecutionParams.Builder` | `portalRequest​(PortalRequest portalRequest)` |
    `IdProviderControllerExecutionParams.Builder` | `response​(javax.servlet.http.HttpServletResponse response)` |
    `IdProviderControllerExecutionParams.Builder` | `servletRequest​(javax.servlet.http.HttpServletRequest servletRequest)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### idProviderKey

          public IdProviderControllerExecutionParams.Builder idProviderKey​(IdProviderKey idProviderKey)

    - #### functionName

          public IdProviderControllerExecutionParams.Builder functionName​(String functionName)

    - #### portalRequest

          public IdProviderControllerExecutionParams.Builder portalRequest​(PortalRequest portalRequest)

    - #### servletRequest

          public IdProviderControllerExecutionParams.Builder servletRequest​(javax.servlet.http.HttpServletRequest servletRequest)

    - #### response

          public IdProviderControllerExecutionParams.Builder response​(javax.servlet.http.HttpServletResponse response)

    - #### build

          public IdProviderControllerExecutionParams build()